package eu.jonahbauer.wizard.core.states.trick;

import eu.jonahbauer.wizard.core.Game;
import eu.jonahbauer.wizard.core.states.GameState;
import eu.jonahbauer.wizard.core.states.GameData;

import java.util.Optional;

public final class StartingTrick extends TrickState {

    public StartingTrick(GameData data) {
        super(data);
    }

    @Override
    public Optional<GameState> onEnter(Game context) {
        return sync(PlayingCard::new);
    }
}
